Bug 251272 - udev 113-8 breaks lp0 printing
udev 113-8 breaks lp0 printing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
: 251211 251212 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 23:04 EDT by Greg Pittman
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 113-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 11:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "tree /dev" with udev-106-4.1.fc7.i386 installed (6.24 KB, text/plain)
2007-08-08 05:26 EDT, Tim
no flags Details
output from "tree /dev" with udev-113-8.fc7.i386 installed (8.18 KB, text/plain)
2007-08-08 05:27 EDT, Tim
no flags Details
output of diff -u for tree /dev for each udev version (4.31 KB, application/octet-stream)
2007-08-08 10:17 EDT, Greg Pittman
no flags Details
name change to reflect plain text type (4.31 KB, text/plain)
2007-08-08 10:22 EDT, Greg Pittman
no flags Details

  None (edit)
Description Greg Pittman 2007-08-07 23:04:42 EDT
Description of problem:
Sudden loss of ability to print from parallel port.

Version-Release number of selected component (if applicable):
113-8.fc7

How reproducible:
always

Steps to Reproduce:
1. Attempt to print using previously configured printer from lp0 does not work
2. Attempt to set up new lp0 printer fails - cups finds no device
3. 
  
Actual results:
Job is created, no output
USB printer would still print

Expected results:


Additional info:
This all happened abruptly after update on evening of Aug 6th -- earlier in the
day printing was fine. That evening udev was updated (cups had been updated last
week).
I 'downdated' cups to original version, still no printing.
Subsequent downdating of udev to 106-4 resulted is resumption of lp0 printing.
Comment 1 Harald Hoyer 2007-08-08 04:00:58 EDT
bad news :-( the udev update was supposed to fix several USB problems..
can you please attach the output of:
$ tree /dev
with both versions of udev? I know, it's a bit of work, but every fedora user
will benefit from it.
Thanks
Comment 2 Tim Waugh 2007-08-08 04:46:00 EDT
*** Bug 251212 has been marked as a duplicate of this bug. ***
Comment 3 Tim Waugh 2007-08-08 04:47:36 EDT
*** Bug 251211 has been marked as a duplicate of this bug. ***
Comment 4 Tim 2007-08-08 05:26:57 EDT
Created attachment 160890 [details]
output from "tree /dev" with udev-106-4.1.fc7.i386 installed
Comment 5 Tim 2007-08-08 05:27:43 EDT
Created attachment 160891 [details]
output from "tree /dev" with udev-113-8.fc7.i386 installed
Comment 6 Harald Hoyer 2007-08-08 07:17:08 EDT
quickfix:

# cat >/etc/udev/makedev.d/60-lp-quickfix.nodes <<EOF
lp0
lp1
lp2
lp3
EOF
Comment 7 Karl F. Larsen 2007-08-08 07:49:52 EDT
There appears to be two updates that together stop printing if your using a
parallel port printer. I found my printer a Brother HL-1440 could no longer be
used. And I discovered that the GUI Printer setup and the Cups device at
http://localhost:631/ will not set up a parallel port printer that works.

I replaced both udev and cups which were updated on my computer with the
original versions from the f7 dvd. This fixed the problem and now I find lp0 as
a choice on both devices to set up a printer. I can not tell if it was the cups
or the udev update that stopped my printing.
Comment 8 Mikkel L. Ellertson 2007-08-08 09:48:20 EDT
It looks like this is because of a change in
/etc/sysconfig/modules/udev-stw.modules that is no longer calling for the
parport and lp modules to be loaded.
Comment 9 Andre Robatino 2007-08-08 10:13:31 EDT
  On my box at least, parport and parport_pc are automatically loaded but lp is
not.  After loading the lp module, /dev/lp0 was created and I was able to print.
Comment 10 Greg Pittman 2007-08-08 10:16:02 EDT
I've just recapitulated the problem.
Updated cups to 1.2.12-1 and udev to 113-8.
service restart cups (without reboot) and printing to lp0 still works.
Reboot - no printing
Go back to udev 106-4, reboot.
Printing works again.
Therefore, it's pretty clear that it's udev and not cups.

I've also created .txt files from 'tree /dev' for each version
will also add output from:
diff -u udev-106-4.txt udev-113-8.txt > diff_udevs106-113
Comment 11 Greg Pittman 2007-08-08 10:17:48 EDT
Created attachment 160903 [details]
output of diff -u for tree /dev for each udev version
Comment 12 Greg Pittman 2007-08-08 10:22:04 EDT
Created attachment 160904 [details]
name change to reflect plain text type
Comment 13 Harald Hoyer 2007-08-08 10:28:00 EDT
no more diffs please.. erratum is in the queue.. 
it's only lp* which is missing in /etc/udev/makedev.d/50-udev.nodes
Comment 14 Fedora Update System 2007-08-08 11:34:12 EDT
udev-113-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.